## krita 5.2.3+dfsg

=== debian/changelog ===
krita (1:5.2.3+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Disable upstream_Bump-SIP-ABI-version-to-12.8.patch.
  * Restore libopencolorio-dev B-D.
  * Add fix-jxl-build.patch

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 01 Jul 2024 16:25:46 -0700

krita (1:5.2.3+dfsg-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch watch file back to the stable releases.
  * Switch Vcs-* fields back to 'master'.
  * Update the patches:
    - upstream_Bump-SIP-ABI-version-to-12.8.patch: refresh
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 26 Jun 2024 05:24:01 +0200

krita (1:5.2.3~beta1+dfsg-1) experimental; urgency=medium

  * New upstream development release.
  * Switch watch file to the unstable releases.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Thu, 06 Jun 2024 08:31:08 +0200

krita (1:5.2.2+dfsg-3) unstable; urgency=medium

  * Bump Standards-Version to 4.7.0, no changes required.
  * Temporarily disable the LUT docker, as it needs OpenColorIO, which is out
    of testing because openvdb has RC bugs
    - comment out the libopencolorio-dev build dependency
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Drop non-existing files from copyright.

 -- Pino Toscano <pino@debian.org>  Wed, 08 May 2024 10:00:35 +0200
