## krita 5.2.5+dfsg

=== debian/changelog ===
krita (1:5.2.5+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 21 Sep 2024 04:29:53 -0700
