=== debian/control ===
--- 
+++ 
@@ -79,12 +79,12 @@
 Architecture: any
 Section: graphics
 Depends: krita-data (>= ${source:Version}),
+         krita-l10n (>= ${source:Version}),
          libqt5sql5-sqlite,
-         ${misc:Depends},
-         ${shlibs:Depends},
          python3-pyqt5,
          qml-module-qtmultimedia,
-         krita-l10n (>= ${source:Version})
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: colord, ffmpeg
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create
