## krita 5.2.6+dfsg

=== debian/changelog ===
krita (1:5.2.6+dfsg-1~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 01 Oct 2024 21:29:39 -0700

krita (1:5.2.6+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Tue, 01 Oct 2024 19:07:01 +0200

krita (1:5.2.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * CI: make the build non-verbose, so the build log fits within the salsa
    limits.
  * Update the build dependencies according to the upstream build system:
    - bump libfreetype-dev to 2.11.0
  * Do not exclude the '3rdparty' directory anymore when repacking, as it is
    practically empty now.
  * Do not exclude the 'winquirks' directory anymore when repacking, as it
    contains only one GPL 3 source used only on Windows.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Sep 2024 06:54:43 +0200
