=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                libexiv2-dev (>= 0.16~),
                libfftw3-dev,
                libfontconfig-dev (>= 2.13.1~),
-               libfreetype-dev (>= 2.10.0~),
+               libfreetype-dev (>= 2.11.0~),
                libfribidi-dev,
                libgif-dev,
                libgsl-dev,
@@ -38,7 +38,7 @@
                libmlt++-dev (>= 7~),
                libmlt-dev (>= 7~),
                libmypaint-dev (>= 1.4.0~),
-               libopencolorio-dev (>= 1.1.1~),
+#               libopencolorio-dev (>= 1.1.1~),
                libopenexr-dev,
                libopenjp2-7-dev (>= 2.3.0~),
                libpng-dev,
@@ -79,13 +79,12 @@
 Architecture: any
 Section: graphics
 Depends: krita-data (>= ${source:Version}),
-         krita-l10n (>= ${source:Version}),
          libqt5sql5-sqlite,
-         python3-pyqt5,
-         qml-module-qtmultimedia,
          ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: colord, ffmpeg
+         ${shlibs:Depends},
+         python3-pyqt5, qml-module-qtmultimedia
+# Recommends: python3-pyqt5, qml-module-qtmultimedia
+Suggests: colord, ffmpeg, krita-l10n (>= ${source:Version})
 Description: pixel-based image manipulation program
  Krita is a creative application for raster images. Whether you want to create
  from scratch or work with existing images, Krita is for you. You can work with
