=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,10 @@
 	dh $@ --with kf5
 
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF -DBUILD_TESTING=OFF -DENABLE_UPDATERS=OFF -DKRITA_ENABLE_PCH=OFF
+	dh_auto_configure -Skf5 -- -DFOUNDATION_BUILD=OFF \
+	                           -DBUILD_TESTING=OFF \
+	                           -DENABLE_UPDATERS=OFF \
+	                           -DKRITA_ENABLE_PCH=OFF
 
 execute_after_dh_auto_install:
 	# remove symlinks of private libraries
